Liblinphone: linphone::CallListener Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::CallListener Class Reference
Inheritance diagram for linphone::CallListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onDtmfReceived (const std::shared_ptr< linphone::Call > &call, int dtmf)
| Callback for being notified of received DTMFs. More...
virtual LINPHONECXX_PUBLIC void | onEncryptionChanged (const std::shared_ptr< linphone::Call > &call, bool on, const std::string &authenticationToken)
| Call encryption changed callback. More...
virtual LINPHONECXX_PUBLIC void | onInfoMessageReceived (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< const linphone::InfoMessage > &message)
| Callback for receiving info messages. More...
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::Call > &call, linphone::Call::State state, const std::string &message)
| Call state notification callback. More...
virtual LINPHONECXX_PUBLIC void | onStatsUpdated (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< const linphone::CallStats > &stats)
| Callback for receiving quality statistics for calls. More...
virtual LINPHONECXX_PUBLIC void | onTransferStateChanged (const std::shared_ptr< linphone::Call > &call, linphone::Call::State state)
| Callback for notifying progresses of transfers. More...
virtual LINPHONECXX_PUBLIC void | onAckProcessing (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< linphone::Headers > &ack, bool isReceived)
| Callback for notifying the processing SIP ACK messages. More...
virtual LINPHONECXX_PUBLIC void | onTmmbrReceived (const std::shared_ptr< linphone::Call > &call, int streamIndex, int tmmbr)
| Callback for notifying a received TMMBR. More...
virtual LINPHONECXX_PUBLIC void | onSnapshotTaken (const std::shared_ptr< linphone::Call > &call, const std::string &filePath)
| Callback for notifying a snapshot taken. More...
virtual LINPHONECXX_PUBLIC void | onNextVideoFrameDecoded (const std::shared_ptr< linphone::Call > &call)
| Callback to notify a next video frame has been decoded. More...
virtual LINPHONECXX_PUBLIC void | onCameraNotWorking (const std::shared_ptr< linphone::Call > &call, const std::string &cameraName)
| Callback to notify that the camera is not working and has been changed to "No Webcam". More...
virtual LINPHONECXX_PUBLIC void | onAudioDeviceChanged (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< linphone::AudioDevice > &audioDevice)
| Callback to notify that the audio device has been changed. More...

## Member Function Documentation

## ◆ onAckProcessing()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onAckProcessing | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< linphone::Headers > & | ack,
|  | bool | isReceived
| ) |  |
| inlinevirtual

Callback for notifying the processing SIP ACK messages.

Parameters

  isReceived | if true this ACK is an incoming one, otherwise it is an ACK about to be sent.

## ◆ onAudioDeviceChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onAudioDeviceChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< linphone::AudioDevice > & | audioDevice
| ) |  |
| inlinevirtual

Callback to notify that the audio device has been changed.

Parameters

  audioDevice | the new audio device used for this call

## ◆ onCameraNotWorking()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onCameraNotWorking | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | cameraName
| ) |  |
| inlinevirtual

Callback to notify that the camera is not working and has been changed to "No Webcam".

A camera is detected as mis-functionning as soon as it outputs no frames at all during a period of 5 seconds. This check is only performed on desktop platforms, in the purpose of notifying camera failures, for example if when a usb cable gets disconnected.

Parameters

  cameraName | the name of the non-working camera

## ◆ onDtmfReceived()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onDtmfReceived | ( | const std::shared_ptr< linphone::Call > & | call,
|  | int | dtmf
| ) |  |
| inlinevirtual

Callback for being notified of received DTMFs.

Parameters

  dtmf | The ascii code of the dtmf

## ◆ onEncryptionChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onEncryptionChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | bool | on,
|  | const std::string & | authenticationToken
| ) |  |
| inlinevirtual

Call encryption changed callback.

Parameters

  authenticationToken | An authentication_token, currently set for ZRTP kind of encryption only.

## ◆ onInfoMessageReceived()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onInfoMessageReceived | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< const linphone::InfoMessage > & | message
| ) |  |
| inlinevirtual

Callback for receiving info messages.

Parameters

  message | LinphoneInfoMessage object.

## ◆ onNextVideoFrameDecoded()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onNextVideoFrameDecoded | ( | const std::shared_ptr< linphone::Call > & | call | ) |
| inlinevirtual

Callback to notify a next video frame has been decoded.

Parameters

  call | LinphoneCall for which the next video frame has been decoded

## ◆ onSnapshotTaken()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onSnapshotTaken | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | filePath
| ) |  |
| inlinevirtual

Callback for notifying a snapshot taken.

Parameters

  filePath | the name of the saved file

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onStateChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | linphone::Call::State | state,
|  | const std::string & | message
| ) |  |
| inlinevirtual

Call state notification callback.

Parameters

  message | An informational message about the state.

## ◆ onStatsUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onStatsUpdated | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< const linphone::CallStats > & | stats
| ) |  |
| inlinevirtual

Callback for receiving quality statistics for calls.

Parameters

  stats | LinphoneCallStats object

## ◆ onTmmbrReceived()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onTmmbrReceived | ( | const std::shared_ptr< linphone::Call > & | call,
|  | int | streamIndex,
|  | int | tmmbr
| ) |  |
| inlinevirtual

Callback for notifying a received TMMBR.

Parameters

  tmmbr | the value of the received TMMBR

## ◆ onTransferStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onTransferStateChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | linphone::Call::State | state
| ) |  |
| inlinevirtual

Callback for notifying progresses of transfers.

Parameters

  state | The LinphoneCallState of the call to transfer target at the far end.

The documentation for this class was generated from the following file:

- call_listener.hh